Skip to main content
GET
/
v1
/
assets
/
{isin}
/
prices
List Asset Prices
curl --request GET \
  --url https://sandbox.api.rime.finance/v1/assets/{isin}/prices \
  --header 'Authorization: Bearer <token>'
{
  "prices": [
    {
      "nav_per_share": 25560,
      "date": "2025-07-15T14:51:31Z",
      "currency": "EUR",
      "change_percentage": 150,
      "volume": null
    },
    {
      "nav_per_share": 25410,
      "date": "2025-07-14T14:51:31Z",
      "currency": "EUR",
      "change_percentage": -50,
      "volume": null
    }
  ],
  "isin": "NL1111111111",
  "currency": "EUR",
  "total_count": 2
}

Authorizations

Authorization
string
header
required

Bearer access token. Provide as a Authorization: Bearer <token> header.

Path Parameters

isin
string
required

ISIN of the fund share class to retrieve prices for.

Response

Historical prices retrieved successfully

Historical NAV prices for a fund share class.

prices
AssetPriceSchema · object[]
required

List of historical NAV prices.

isin
string
required

ISIN of the fund share class.

currency
string
required

Currency of the prices.

total_count
integer
required

Total number of price records.